Subject: bug#55387: 28.1.50; csv-mode: header does not align when line numbers are displayed

From: Eli Zaretskii <[email-masked]>
Date: Fri, 13 May 2022 16:36:22 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked], Eli Zaretskii <[email-masked]>
> Date: Fri, 13 May 2022 14:52:21 +0200
> 
> I'm surprised that that's necessary -- surely
> `display-line-numbers-mode' should itself fix up the header line?  That
> is, there should be a header line format construct that modes can add to
> the front of `header-line-format' that's controlled by
> `display-line-numbers-mode'.
> 
> Eli, does this sound like a plan to you?

I don't think I understand how this could work.  The line-number width
is not fixed, it changes dynamically as needed.  How would the
header-line adapt itself, except in some hook that is called by
redisplay?

Also, display-line-numbers-mode is not really a mode, in the sense
that there's no mode-specific code anywhere.  It's basically a
variable that tells redisplay to do or not do something.  So I don't
think I understand how can this "mode" control anything?